Bug 259412 - x11-themes/gtk-arc-themes: Update to 20211018
Summary: x11-themes/gtk-arc-themes: Update to 20211018
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://github.com/jnsh/arc-theme/rel...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-24 18:05 UTC by Alexander Vereeken
Modified: 2021-11-15 13:24 UTC (History)
2 users (show)

See Also:


Attachments
gtk-arc-themes-20211018.diff (25.99 KB, patch)
2021-10-24 18:05 UTC, Alexander Vereeken
Alexander88207: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2021-10-24 18:05:03 UTC
Created attachment 228995 [details]
gtk-arc-themes-20211018.diff

Hello,

this is an update to 20211018.

Changelog: https://github.com/jnsh/arc-theme/releases/tag/20211018

Thank you in advance!
Comment 1 Nuno Teixeira freebsd_committer 2021-10-25 08:09:21 UTC
We could have a better Makefile order:

- put BINARY_ALIAS and NO_ARCH in # Standard bsd.port.mk variables

(portclippy)
---
# PORTNAME block
PORTNAME
DISTVERSION
CATEGORIES

# Maintainer block
MAINTAINER
COMMENT

# License block
LICENSE
LICENSE_FILE

# Dependencies
BUILD_DEPENDS
RUN_DEPENDS

# USES block
USES

-BINARY_ALIAS

USE_GITHUB
GH_ACCOUNT
GH_PROJECT
USE_GNOME

-NO_ARCH

# USES=meson related variables
MESON_ARGS

# Make block
MAKE_ENV

# Standard bsd.port.mk variables
+BINARY_ALIAS
+NO_ARCH
---

- alphabetical order in USES and MESON_ARGS

(portfmt)
---
--- Makefile
+++ Makefile
@@ -15,10 +15,9 @@
 		sassc:textproc/sassc
 RUN_DEPENDS=	gtk-murrine-engine>0:x11-themes/gtk-murrine-engine
 
-USES=		meson gnome
+USES=		gnome meson
  
 USE_GITHUB=	yes
 GH_ACCOUNT=	jnsh
@@ -27,10 +26,10 @@
 USE_GNOME=	gtk20 gtk30
 NO_ARCH=	yes
 
-MESON_ARGS=	-Dthemes=cinnamon,gnome-shell,gtk2,gtk3,metacity,plank,xfwm \
-		-Dcinnamon_version=4.8 \
+MESON_ARGS=	-Dcinnamon_version=4.8 \
 		-Dgnome_shell_version=41.0 \
-		-Dgtk3_version=3.24
+		-Dgtk3_version=3.24 \
+		-Dthemes=cinnamon,gnome-shell,gtk2,gtk3,metacity,plank,xfwm
 # Speed up build in Poudriere.  It calls inkscape a bazillion times
 # and each instance tries to connect to 127.0.0.1:9090 which seems
 # to be because of gtk3's broadway backend.  Disable all GDK backends.
---
Comment 2 Yasuhiro Kimura freebsd_committer 2021-11-15 10:15:45 UTC
Take.
Comment 3 commit-hook freebsd_committer 2021-11-15 13:20:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b7a040348da8444993883c0185e1ca403188e15f

commit b7a040348da8444993883c0185e1ca403188e15f
Author:     Alexander Vereeken <Alexander88207@protonmail.com>
AuthorDate: 2021-10-24 18:05:03 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-15 13:19:38 +0000

    x11-themes/gtk-arc-themes: Update to 20211018

    While I'm here,

    * Pet portclippy
    * Re-format Makefile with portfmt

    ChangeLog:      https://github.com/jnsh/arc-theme/releases/tag/20211018
    PR:             259412

 x11-themes/gtk-arc-themes/Makefile  |  20 +-
 x11-themes/gtk-arc-themes/distinfo  |   6 +-
 x11-themes/gtk-arc-themes/pkg-plist | 386 +-----------------------------------
 3 files changed, 16 insertions(+), 396 deletions(-)
Comment 4 Yasuhiro Kimura freebsd_committer 2021-11-15 13:24:51 UTC
Committed with refinements suggested by eduardo. Thanks!